Debian Bug report logs - #283386
ntpdate enhance logcheck rule

version graph

Package: ntpdate; Maintainer for ntpdate is Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>; Source for ntpdate is src:ntp.

Reported by: maximilian attems <debian@sternwelten.at>

Date: Sun, 28 Nov 2004 17:48:02 UTC

Severity: wishlist

Tags: patch

Found in version 4.2.0a

Done: Peter Eisentraut <peter_e@gmx.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <debian-ntp@gag.com>:
Bug#283386; Package ntpdate. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <debian@sternwelten.at>:
New Bug report received and forwarded. Copy sent to Debian NTP Team <debian-ntp@gag.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: maximilian attems <debian@sternwelten.at>
To: submit@bugs.debian.org
Subject: ntpdate enhance logcheck rule
Date: Sun, 28 Nov 2004 18:31:07 +0100
Package: ntpdate
Severity: wishlist
Version: 4.2.0a
Tags: patch

logcheck rules should match the hole logline using '^' and '$'.
'.*' is only considered for remotely received strings.
README.logcheck‚Äźdatabase.gz has also some other hints,
thanks for applying belows patch.

i tested that egrep pattern on some "typical" ntpdate log messages:
Nov 25 18:43:16 sputnik ntpdate[2446]: step time server 213.144.133.44 offset -0.852328 sec
Nov 17 17:33:59 sputnik ntpdate[2151]: step time server 128.95.231.7 offset 75769.441804 sec
feel free to further improve it

--
maks

ps #283331 mentions that rule, so i wonder if that rule gets used.
   hmm no time to check now.

--- ntpdate.ignore.orig	2004-11-25 19:16:14.000000000 +0100
+++ ntpdate.ignore	2004-11-25 19:17:41.000000000 +0100
@@ -1 +1 @@
-ntpdate\[[0-9]+\]: adjust time server .* offset
+^\w{3} [ :0-9]{11} [._[:alnum:]-]+ ntpdate\[[0-9]+\]: step time server [0-9.]{7,15} offset -?[0-9.]+ sec$






Reply sent to Matthias Urlichs <smurf@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to maximilian attems <debian@sternwelten.at>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 283386-close@bugs.debian.org (full text, mbox):

From: Matthias Urlichs <smurf@debian.org>
To: 283386-close@bugs.debian.org
Subject: Bug#283386: fixed in ntp 1:4.2.0a+stable-4
Date: Mon, 14 Mar 2005 03:02:22 -0500
Source: ntp
Source-Version: 1:4.2.0a+stable-4

We believe that the bug you reported is fixed in the latest version of
ntp, which is due to be installed in the Debian FTP archive:

ntp-doc_4.2.0a+stable-4_all.deb
  to pool/main/n/ntp/ntp-doc_4.2.0a+stable-4_all.deb
ntp-refclock_4.2.0a+stable-4_i386.deb
  to pool/main/n/ntp/ntp-refclock_4.2.0a+stable-4_i386.deb
ntp-server_4.2.0a+stable-4_i386.deb
  to pool/main/n/ntp/ntp-server_4.2.0a+stable-4_i386.deb
ntp-simple_4.2.0a+stable-4_i386.deb
  to pool/main/n/ntp/ntp-simple_4.2.0a+stable-4_i386.deb
ntp_4.2.0a+stable-4.diff.gz
  to pool/main/n/ntp/ntp_4.2.0a+stable-4.diff.gz
ntp_4.2.0a+stable-4.dsc
  to pool/main/n/ntp/ntp_4.2.0a+stable-4.dsc
ntp_4.2.0a+stable-4_i386.deb
  to pool/main/n/ntp/ntp_4.2.0a+stable-4_i386.deb
ntpdate_4.2.0a+stable-4_i386.deb
  to pool/main/n/ntp/ntpdate_4.2.0a+stable-4_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 283386@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Urlichs <smurf@debian.org> (supplier of updated ntp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Changed-By: Matthias Urlichs <smurf@debian.org>
Date: Sat, 12 Mar 2005 06:16:39 +0100
Version: 1:4.2.0a+stable-4
Distribution: unstable
Source: ntp
Urgency: low
Maintainer: Debian NTP Team <debian-ntp@gag.com>
Binary: ntp ntp-doc ntp-refclock ntp-server ntp-simple ntpdate
Architecture: i386 all source
Closes: 276216 282941 283386 286463 293793 294636 294971 295553 295574 296595 298059 298190 298226 298697
Changes:
 ntp (1:4.2.0a+stable-4) unstable; urgency=low
 .
   * Merged Upstream fix for ntpdate IPv4/IPv6 problems.
     - Closes: #293793, #294636
   * Install if-up.d/ntp-server in the correct directory.
     - Closes: #294971
   * Merged ubuntu's no-root patch.
     - Closes: #298059, #296595, #282941
   * Don't change the date when debugging ntpdate.
     - Closes: #286463
   * Tell the user that "/etc/initd/ntp-server reload" is not possible.
     - Sort-of-Closes: #276216
   * Fix FTBFS with GCC 4.0. Closes: #298697
   * Cleanup init.d script. Closes: #295574
   * Fix doc typos. Closes: #298226
   * Remove /var/run/ntpd.pid when stopping the server.
     - Closes: #295553
   * Document ntpdate's exit status. Closes: #298190.
   * Enhance ntpdate's logcheck rule. Closes: #283386
   * Built against libreadline5.
Description:
 ntp        - Network Time Protocol: network utilities
 ntp-doc    - Network Time Protocol: documentation
 ntp-server - Network Time Protocol: common server tools
 ntp-simple - Network Time Protocol: daemon for simple systems
 ntpdate    - The ntpdate client for setting system time from NTP servers
 ntp-refclock - Network Time Protocol: daemon for reference clocks
Files:
 00b9e700bb3450fcccabe206b51dfadc 254670 net optional ntp_4.2.0a+stable-4_i386.deb
 b37c928610e87854284ad3d2a79b9dac 243784 net optional ntp_4.2.0a+stable-4.diff.gz
 9864129890b79bbbda6be43b679dfdba 42580 net optional ntpdate_4.2.0a+stable-4_i386.deb
 edd7ce7ba7c466dcef4a48ef924763d4 32126 net optional ntp-server_4.2.0a+stable-4_i386.deb
 9a51ad29ff063c408b64c0115686a49a 889240 doc optional ntp-doc_4.2.0a+stable-4_all.deb
 06d58d29537d5683d485bbc176588717 842 net optional ntp_4.2.0a+stable-4.dsc
 0270365bb8f8030bd62080a73ab4a7bf 121156 net optional ntp-simple_4.2.0a+stable-4_i386.deb
 d021274733c129d38b6c7d17a307c09f 201564 net extra ntp-refclock_4.2.0a+stable-4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFCMsO38+hUANcKr/kRAtzRAKCm0aQkZZVW3QVkTF6C/gQ07GVY9QCfc/6V
suKID36mk8egHjC/jkhTP1Q=
=7JYP
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <debian-ntp@gag.com>:
Bug#283386; Package ntpdate. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <debian@sternwelten.at>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <debian-ntp@gag.com>. Full text and rfc822 format available.

Message #15 received at 283386@bugs.debian.org (full text, mbox):

From: maximilian attems <debian@sternwelten.at>
To: 283386@bugs.debian.org
Subject: Re: Bug#283386 acknowledged by developer (Bug#283386: fixed in ntp 1:4.2.0a+stable-4)
Date: Tue, 15 Mar 2005 13:34:12 +0100
reopen 283386
thanks

On Mon, 14 Mar 2005, Debian Bug Tracking System wrote:
>    * Enhance ntpdate's logcheck rule. Closes: #283386

aboves patch was not merged, but a faulty regex that let fail
logcheck on any ntpdate install:
^\w{3} [ :0-9]{11} [._[:alnum:]-]+ ntpdate\[[0-9]+\]: step time server [=

please correct that.
thanks
maks

ps you might want to merge that with #299445.




Bug reopened, originator not changed. Request was from maximilian attems <debian@sternwelten.at> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Peter Eisentraut <peter_e@gmx.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to maximilian attems <debian@sternwelten.at>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 283386-done@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <peter_e@gmx.net>
To: 283386-done@bugs.debian.org
Subject: Re: Bug#283386: ntpdate enhance logcheck rule
Date: Fri, 15 Sep 2006 10:59:53 +0200
This is already fixed, but I don't know when it was done.



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Jun 2007 02:08:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:32:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.